/*
 * Dateiinhalt.java
 *
 * Created on 27. April 2002, 13:04
 */

package gpa;

/**
 *
 * @author  andreas
 */
public final class Datei {
    
    /** liefert den Inhalt einer in der URL angebenen Datei
     * als Text zurck, oder einen leeren String, falls beim
     * ffnen der Datei ein Fehler auftritt. */
    public static String inhaltAusgeben(java.net.URL paramverweis) {
        try {
            //Long laenge = new Long(new java.io.File(new java.net.URI(paramverweis.toString())).length());
            Long laenge = new Long(new java.io.File(paramverweis.getFile()).length());
            char[] puffer = new char[laenge.intValue()];
            //new java.io.FileReader(new java.io.File(new java.net.URI(paramverweis.toString()))).read(puffer);
            new java.io.FileReader(new java.io.File(paramverweis.getFile())).read(puffer);
            return (new String(puffer));
        }
        catch (NullPointerException urlkonntenichtermitteltwerden) {
            return "";
        }
        catch (java.io.FileNotFoundException dateinichtgefunden) {
            return "";
        }
        catch (java.io.IOException iofehler) {
            return "";
        }
        /*catch (java.net.URISyntaxException urifehler) {
            return "";
        }*/
    }
    
    /** initialisiert das Abspielen fr eine angegebene
     * Sounddatei, die Datei wird nur ein Mal abgespielt */
    public static void soundDateiSpielen(java.net.URL paramverweis) {
        try {
            new java.applet.Applet().newAudioClip(paramverweis).play();
        }
        catch (NullPointerException dateinichtgefunden) {
        }
    }
    
    /** initialisiert das Abspielen fr eine angegebene
     * Sounddatei, die Datei wird nach dem Abspielen
     * wiederholt. */
    public static void soundDateiWiederholen(java.net.URL paramverweis) {
        try {
            new java.applet.Applet().newAudioClip(paramverweis).loop();
        }
        catch (NullPointerException dateinichtgefunden) {
        }
    }

}
