/*
 * Uhrzeit.java
 *
 * Created on 23. April 2002, 21:13
 */

package gpa;

/**
 *
 * @author  andreas
 */
public class Uhrzeit {
    
    
    /** Creates a new instance of Uhrzeit */
    public Uhrzeit() {
        uhrzeitSetzen(8,10);
    }
    
    private int stunde;
    private int minute;
    
    /** erhht die Uhrzeit um genau eine Minute */
    public void uhrzeitErhoehen() {
        minute++;
        if (minute>=60) {
            stunde+=minute/60;
            minute%=60;
        }
        if (stunde>=24) {
            stunde%=24;
        }
    }
    
    /** setzt die Uhr auf eine neue Zeit */
    public void uhrzeitSetzen(int neue_stunde, int neue_minute) {
        minute=neue_minute;
        stunde=neue_stunde;
    }
    
    /** gibt die aktuelle Minutenzahl aus */
    public int minuteAusgeben() {
        return minute;
    }
    
    /** gibt die aktuelle Stundenzahl aus */
    public int stundeAusgeben() {
        return stunde;
    }
    
    /** gibt die Zeit als String aus */
    public String zeitAusgeben() {
        if (minute<10) {
            return (stunde+":0"+minute);
        }
        else {
            return (stunde+":"+minute);
        }
    }
    
    public static void main(String[] args) {        
    }
    
}